Request NFT Contract Deployment

Requests NFT contract deployment. uuid of the deployment transaction will be returned upon successful request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
number
required

Wallet index

Body Params
string
required

Unique ID available to enter when requesting deployment. The request will fail when there is a duplicate requestId exists in the request.

string

Result of the user key being encrypted with the RSA public key. This must be entered when the key management method is set to joint management.
You can find the RSA public key from the developer tool of the Octet console.

string

Description of the deployment that can be entered when requesting deployment. This does not involve blockchains and is recorded in Octet’s database.

boolean

Decide whether to generate fee delegation transactions. When it is set to true, the wallet’s fee address will pay the fees of transactions. This only applies to the platforms that support fee delegation (e.g., Kaia).

string
enum
required

NFT contract type to deploy
Ethereum: ‘ERC721’, ‘ERC1155’
Kaia: ‘KIP17’, ‘KIP37’
Xpla: CW721

Allowed:
string
required
length ≤ 40

NFT contract Name. (Character limit: 40 characters)
When there is a contract with the same name, and the token symbol exists, the corresponding request fails.

string
required
length ≤ 10

NFT symbol. (Character limit: 10 characters)
When there is a contract with the same name, and the token symbol exists, the corresponding request fails.

string
length ≤ 150

base uri that determines NFT’s tokenUri (Character limit: 150 characters)
Used for ERC1155 or KIP37.
When minting ERC1155 or KIP37 NFTs from Octet,
it has to be uri ending with /.
Therefore, tokenUri is base uri + tokenId.
e.g.)
baseUri: ipfs://HEXLANT/
tokenId: 1
=> tokenUri: ipfs://HEXLANT/1

string

Image URL of the NFT symbol

Headers
string
required
Defaults to Bearer

API token

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json